---
title: dots.v2.volumes.byVolume_id().snapshots.get()
description: List Snapshots for a Volume
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/block-storage/volumesnapshots-list/
last_updated: "2026-11-18"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.volumes.byVolume_id().snapshots.get()

Generated on 18 Nov 2026 from DoTs version [`v1.25.0`](https://github.com/digitalocean/dots/releases/tag/v1.25.0)

## Usage

```typescript
client.v2.volumes.byVolume_id(volume_id).snapshots.get(requestConfiguration?: RequestConfiguration<SnapshotsRequestBuilderGetQueryParameters>): Promise<undefined | SnapshotsGetResponse>
```

## Description

To retrieve the snapshots that have been created from a volume, send a GET request to [`/v2/volumes/{volume_id}/snapshots`](https://docs.digitalocean.com/reference/api/reference/block-storage/index.html.md#volumeSnapshots_list).

## Parameters

### Path Parameters

`volume_id` string required

Example: `7724db7c-e098-11e5-b522-000f53304e51`

The ID of the block storage volume.

### Query Parameters

`perPage` integer optional

Example: `2`

Number of items returned per page

Default: `20`

Min: `1`

Max: `200`

`page` integer optional

Example: `1`

Which 'page' of paginated results to return.

Default: `1`

Min: `1`

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.volumes
    .byVolume_id("7724db7c-e098-11e5-b522-000f53304e51").snapshots.get();
```

## Pagination

This method returns paginated results. The response includes a `links.pages` object with URLs for navigating between pages. To retrieve the next page, parse the `next` URL and pass the `page` query parameter:

```typescript
let response = await client.v2.volumes
    .byVolume_id("7724db7c-e098-11e5-b522-000f53304e51").snapshots.get();
let pages = response?.links?.pages;

while (pages && "next" in pages && typeof pages.next === "string") {
    const page = Number(new URL(pages.next).searchParams.get("page"));
    response = await client.v2.volumes
        .byVolume_id("7724db7c-e098-11e5-b522-000f53304e51").snapshots.get({
        queryParameters: {
            page,
        },
    });
    pages = response?.links?.pages;
}
```

## Response Example

## Show Response Example

```json
{
  "snapshots": [
    {
      "id": "8eb4d51a-873f-11e6-96bf-000f53315a41",
      "name": "big-data-snapshot1475261752",
      "regions": [
        "nyc1"
      ],
      "created_at": "2020-09-30T18:56:12Z",
      "resource_id": "82a48a18-873f-11e6-96bf-000f53315a41",
      "resource_type": "volume",
      "min_disk_size": 10,
      "size_gigabytes": 0,
      "tags": null
    }
  ],
  "links": {},
  "meta": {
    "total": 1
  }
}
```

## More Information

See [`/v2/volumes/{volume_id}/snapshots`](https://docs.digitalocean.com/reference/api/reference/block-storage/index.html.md#volumeSnapshots_list) in the API reference for additional detail on responses, headers, parameters, and more.